package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author yrf
 * @time 2020/7/3 13:50
 */
@Entity
@Table(name = "tb_training_recommend_question")
public class TrainingRecommendQuestion extends BaseEntity {

    private static final long serialVersionUID = -3520240967135880687L;

    private String studentWeeklyReportId;
    private String vipId;
    private String beginDate;
    private String subject;
    private String knowledgeListJson;
    private Integer bigQuestionCount;
    private Integer smallQuestionCount;
    private Date createTime;

    public String getStudentWeeklyReportId() {
        return studentWeeklyReportId;
    }

    public void setStudentWeeklyReportId(String studentWeeklyReportId) {
        this.studentWeeklyReportId = studentWeeklyReportId;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getKnowledgeListJson() {
        return knowledgeListJson;
    }

    public void setKnowledgeListJson(String knowledgeListJson) {
        this.knowledgeListJson = knowledgeListJson;
    }

    public Integer getBigQuestionCount() {
        return bigQuestionCount;
    }

    public void setBigQuestionCount(Integer bigQuestionCount) {
        this.bigQuestionCount = bigQuestionCount;
    }

    public Integer getSmallQuestionCount() {
        return smallQuestionCount;
    }

    public void setSmallQuestionCount(Integer smallQuestionCount) {
        this.smallQuestionCount = smallQuestionCount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
